(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      7872,        274]
NotebookOptionsPosition[      7105,        247]
NotebookOutlinePosition[      7448,        262]
CellTagsIndexPosition[      7405,        259]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "spell1"}], "]"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"init", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"x1", "[", "0", "]"}], "\[Equal]", "x10"}], ",", 
    RowBox[{
     RowBox[{"x2", "[", "0", "]"}], "\[Equal]", "x20"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"x1", "'"}], "[", "0", "]"}], "\[Equal]", "0"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"x2", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], 
   "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eqm", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x1", "''"}], "[", "t", "]"}], "==", 
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"-", "g"}], "L"], " ", 
       RowBox[{"x1", "[", "t", "]"}]}], "-", 
      RowBox[{
       FractionBox["k", 
        RowBox[{"m", " "}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"x1", "[", "t", "]"}], "-", 
         RowBox[{"x2", "[", "t", "]"}]}], ")"}]}]}]}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"x2", "''"}], "[", "t", "]"}], "==", 
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"-", "g"}], "L"], " ", 
       RowBox[{"x2", "[", "t", "]"}]}], "-", 
      RowBox[{
       FractionBox["k", "m"], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"x2", "[", "t", "]"}], "-", 
         RowBox[{"x1", "[", "t", "]"}]}], ")"}]}]}]}]}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eqm", "=", 
  RowBox[{"Append", "[", 
   RowBox[{"eqm", ",", "init"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"dsol", "=", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{"eqm", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x1", "[", "t", "]"}], ",", 
       RowBox[{"x2", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], "//", 
   "FullSimplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"val", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x10", "\[Rule]", "1"}], ",", 
    RowBox[{"x20", "\[Rule]", "0"}], ",", 
    RowBox[{"g", "\[Rule]", "10"}], ",", 
    RowBox[{"L", "\[Rule]", "1"}], ",", 
    RowBox[{"k", "\[Rule]", "1"}], ",", 
    RowBox[{"m", "\[Rule]", "1"}]}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"plot1", "=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"x1", "[", "t", "]"}]}], "}"}], "/.", "dsol"}], "/.", 
      "val"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0.1", ",", "50"}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"0", ",", "0", ",", ".8"}], "]"}], "}"}]}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t\>\"", ",", "\"\<x\>\""}], "}"}]}], ",", 
    RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"plot2", "=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"x2", "[", "t", "]"}]}], "}"}], "/.", "dsol"}], "/.", 
      "val"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0.1", ",", "50"}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"1", ",", "0", ",", "0"}], "]"}], "}"}]}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t\>\"", ",", "\"\<x\>\""}], "}"}]}], ",", 
    RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"plot1", ",", "plot2"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"coord1", "[", "t_", "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1.5", "+", 
       RowBox[{"x1", "[", "t", "]"}]}], ",", "0"}], "}"}], "/.", "dsol"}], "/.",
    "val"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"coord2", "[", "t_", "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"3.5", "+", 
       RowBox[{"x2", "[", "t", "]"}]}], ",", "0"}], "}"}], "/.", "dsol"}], "/.",
    "val"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "coordplot", "]"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"coordplot", "[", "t_", "]"}], ":=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1.5`", "\[InvisibleSpace]", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Cos", "[", 
             RowBox[{"2", " ", 
              SqrtBox["3"], " ", "t"}], "]"}], "+", 
            RowBox[{"Cos", "[", 
             RowBox[{
              SqrtBox["10"], " ", "t"}], "]"}]}], ")"}]}]}], ",", "0"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"3.5`", "\[InvisibleSpace]", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", 
               SqrtBox["3"], " ", "t"}], "]"}]}], "+", 
            RowBox[{"Cos", "[", 
             RowBox[{
              SqrtBox["10"], " ", "t"}], "]"}]}], ")"}]}]}], ",", "0"}], 
       "}"}]}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointSize", "[", "0.04", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0", ",", "0", ",", "1"}], "]"}]}], "}"}]}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.5"}], ",", "2.5"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"lotarray", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"coordplot", "[", "z", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "0", ",", "20", ",", "0.25"}], "}"}]}], "]"}]}], 
  ";"}]], "Input"]
},
WindowSize->{658, 561},
WindowMargins->{{15, Automatic}, {Automatic, 6}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 91, 2, 31, "Input"],
Cell[651, 24, 110, 3, 31, "Input"],
Cell[764, 29, 427, 14, 31, "Input"],
Cell[1194, 45, 912, 32, 84, "Input"],
Cell[2109, 79, 113, 3, 31, "Input"],
Cell[2225, 84, 283, 9, 31, "Input"],
Cell[2511, 95, 329, 9, 31, "Input"],
Cell[2843, 106, 811, 22, 72, "Input"],
Cell[3657, 130, 810, 22, 72, "Input"],
Cell[4470, 154, 88, 2, 31, "Input"],
Cell[4561, 158, 255, 9, 31, "Input"],
Cell[4819, 169, 255, 9, 31, "Input"],
Cell[5077, 180, 84, 2, 31, "Input"],
Cell[5164, 184, 1683, 51, 150, "Input"],
Cell[6850, 237, 251, 8, 31, "Input"]
}
]
*)

(* End of internal cache information *)

